import QtQuick 2.9
import QtQuick.Window 2.2
import QtQuick.Controls 2.2
import QtQuick.Layouts 1.3
import QtQuick.Controls.Material 2.1

Rectangle {
    ListView {
        id: listeMesures
        anchors.fill: parent
        spacing: 10
        anchors.margins: 5
        model: Releve.mesures
        delegate:
            ItemDelegate {
            width: parent.width
            height: colonne.implicitHeight
            Column {
                id: colonne
                padding: 5
                Text { text: model.modelData.horodatage; }
                Text { text: '<b>Température : ' + model.modelData.temperature + ' °C</b>'; font.italic: true }
            }
        }
        focus: true
        clip: true
        ScrollIndicator.vertical: ScrollIndicator { }
    }
}
